<?php


namespace Schaffen\Financial\BillingRoute\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Freelabois\LaravelQuickstart\Interfaces\RepositoryInterface;
use Schaffen\Core\Person\Managers\PersonManager;
use Schaffen\Core\Person\Repositories\PersonModalityRepository;
use Schaffen\Core\Person\Repositories\PersonRepository;
use Schaffen\Core\Person\Services\ClientServices;
use Schaffen\Financial\BillingRoute\Repositories\RouteRepository;


class RouteManager extends ManipulationManager
{
    public function __construct(RouteRepository $repository)
    {
        parent::__construct($repository);
    }

    public function buscaCliente($values){
        if($values['string_consulta'] == "" ){
            return $this->repository->todosOsClientes($values);
        }
        $client_service = app()->make(ClientServices::class);
        $values['string_consulta'] = $client_service->limpaCPF_CNPJ( $values['string_consulta']);
        return $this->repository->buscaCliente($values);
    }
}